Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network216.5.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
216.5.0.0
Broadcast address
216.5.31.255
First usable
216.5.0.1
Last usable
216.5.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
C (default /24)
As numbers
Hex D8050000 · Integer 3624206336 to 3624214527
Reverse DNS zones
0.5.216.in-addr.arpa
1.5.216.in-addr.arpa
2.5.216.in-addr.arpa
3.5.216.in-addr.arpa
4.5.216.in-addr.arpa
5.5.216.in-addr.arpa
6.5.216.in-addr.arpa
7.5.216.in-addr.arpa
8.5.216.in-addr.arpa
9.5.216.in-addr.arpa
10.5.216.in-addr.arpa
11.5.216.in-addr.arpa
12.5.216.in-addr.arpa
13.5.216.in-addr.arpa
14.5.216.in-addr.arpa
15.5.216.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011000.00000101.00000000.00000000216.5.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11011000.00000101.00000000.00000000216.5.0.0
Broadcast11011000.00000101.00011111.11111111216.5.31.255
Split into smaller subnets/29

216.5.0.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1216.5.0.0/29216.5.0.1 to 216.5.0.6216.5.0.76
2216.5.0.8/29216.5.0.9 to 216.5.0.14216.5.0.156
3216.5.0.16/29216.5.0.17 to 216.5.0.22216.5.0.236
4216.5.0.24/29216.5.0.25 to 216.5.0.30216.5.0.316
5216.5.0.32/29216.5.0.33 to 216.5.0.38216.5.0.396
6216.5.0.40/29216.5.0.41 to 216.5.0.46216.5.0.476
7216.5.0.48/29216.5.0.49 to 216.5.0.54216.5.0.556
8216.5.0.56/29216.5.0.57 to 216.5.0.62216.5.0.636
9216.5.0.64/29216.5.0.65 to 216.5.0.70216.5.0.716
10216.5.0.72/29216.5.0.73 to 216.5.0.78216.5.0.796
11216.5.0.80/29216.5.0.81 to 216.5.0.86216.5.0.876
12216.5.0.88/29216.5.0.89 to 216.5.0.94216.5.0.956
13216.5.0.96/29216.5.0.97 to 216.5.0.102216.5.0.1036
14216.5.0.104/29216.5.0.105 to 216.5.0.110216.5.0.1116
15216.5.0.112/29216.5.0.113 to 216.5.0.118216.5.0.1196
16216.5.0.120/29216.5.0.121 to 216.5.0.126216.5.0.1276
17216.5.0.128/29216.5.0.129 to 216.5.0.134216.5.0.1356
18216.5.0.136/29216.5.0.137 to 216.5.0.142216.5.0.1436
19216.5.0.144/29216.5.0.145 to 216.5.0.150216.5.0.1516
20216.5.0.152/29216.5.0.153 to 216.5.0.158216.5.0.1596
21216.5.0.160/29216.5.0.161 to 216.5.0.166216.5.0.1676
22216.5.0.168/29216.5.0.169 to 216.5.0.174216.5.0.1756
23216.5.0.176/29216.5.0.177 to 216.5.0.182216.5.0.1836
24216.5.0.184/29216.5.0.185 to 216.5.0.190216.5.0.1916
25216.5.0.192/29216.5.0.193 to 216.5.0.198216.5.0.1996
26216.5.0.200/29216.5.0.201 to 216.5.0.206216.5.0.2076
27216.5.0.208/29216.5.0.209 to 216.5.0.214216.5.0.2156
28216.5.0.216/29216.5.0.217 to 216.5.0.222216.5.0.2236
29216.5.0.224/29216.5.0.225 to 216.5.0.230216.5.0.2316
30216.5.0.232/29216.5.0.233 to 216.5.0.238216.5.0.2396
31216.5.0.240/29216.5.0.241 to 216.5.0.246216.5.0.2476
32216.5.0.248/29216.5.0.249 to 216.5.0.254216.5.0.2556
33216.5.1.0/29216.5.1.1 to 216.5.1.6216.5.1.76
34216.5.1.8/29216.5.1.9 to 216.5.1.14216.5.1.156
35216.5.1.16/29216.5.1.17 to 216.5.1.22216.5.1.236
36216.5.1.24/29216.5.1.25 to 216.5.1.30216.5.1.316
37216.5.1.32/29216.5.1.33 to 216.5.1.38216.5.1.396
38216.5.1.40/29216.5.1.41 to 216.5.1.46216.5.1.476
39216.5.1.48/29216.5.1.49 to 216.5.1.54216.5.1.556
40216.5.1.56/29216.5.1.57 to 216.5.1.62216.5.1.636
41216.5.1.64/29216.5.1.65 to 216.5.1.70216.5.1.716
42216.5.1.72/29216.5.1.73 to 216.5.1.78216.5.1.796
43216.5.1.80/29216.5.1.81 to 216.5.1.86216.5.1.876
44216.5.1.88/29216.5.1.89 to 216.5.1.94216.5.1.956
45216.5.1.96/29216.5.1.97 to 216.5.1.102216.5.1.1036
46216.5.1.104/29216.5.1.105 to 216.5.1.110216.5.1.1116
47216.5.1.112/29216.5.1.113 to 216.5.1.118216.5.1.1196
48216.5.1.120/29216.5.1.121 to 216.5.1.126216.5.1.1276
49216.5.1.128/29216.5.1.129 to 216.5.1.134216.5.1.1356
50216.5.1.136/29216.5.1.137 to 216.5.1.142216.5.1.1436
51216.5.1.144/29216.5.1.145 to 216.5.1.150216.5.1.1516
52216.5.1.152/29216.5.1.153 to 216.5.1.158216.5.1.1596
53216.5.1.160/29216.5.1.161 to 216.5.1.166216.5.1.1676
54216.5.1.168/29216.5.1.169 to 216.5.1.174216.5.1.1756
55216.5.1.176/29216.5.1.177 to 216.5.1.182216.5.1.1836
56216.5.1.184/29216.5.1.185 to 216.5.1.190216.5.1.1916
57216.5.1.192/29216.5.1.193 to 216.5.1.198216.5.1.1996
58216.5.1.200/29216.5.1.201 to 216.5.1.206216.5.1.2076
59216.5.1.208/29216.5.1.209 to 216.5.1.214216.5.1.2156
60216.5.1.216/29216.5.1.217 to 216.5.1.222216.5.1.2236
61216.5.1.224/29216.5.1.225 to 216.5.1.230216.5.1.2316
62216.5.1.232/29216.5.1.233 to 216.5.1.238216.5.1.2396
63216.5.1.240/29216.5.1.241 to 216.5.1.246216.5.1.2476
64216.5.1.248/29216.5.1.249 to 216.5.1.254216.5.1.2556
65216.5.2.0/29216.5.2.1 to 216.5.2.6216.5.2.76
66216.5.2.8/29216.5.2.9 to 216.5.2.14216.5.2.156
67216.5.2.16/29216.5.2.17 to 216.5.2.22216.5.2.236
68216.5.2.24/29216.5.2.25 to 216.5.2.30216.5.2.316
69216.5.2.32/29216.5.2.33 to 216.5.2.38216.5.2.396
70216.5.2.40/29216.5.2.41 to 216.5.2.46216.5.2.476
71216.5.2.48/29216.5.2.49 to 216.5.2.54216.5.2.556
72216.5.2.56/29216.5.2.57 to 216.5.2.62216.5.2.636
73216.5.2.64/29216.5.2.65 to 216.5.2.70216.5.2.716
74216.5.2.72/29216.5.2.73 to 216.5.2.78216.5.2.796
75216.5.2.80/29216.5.2.81 to 216.5.2.86216.5.2.876
76216.5.2.88/29216.5.2.89 to 216.5.2.94216.5.2.956
77216.5.2.96/29216.5.2.97 to 216.5.2.102216.5.2.1036
78216.5.2.104/29216.5.2.105 to 216.5.2.110216.5.2.1116
79216.5.2.112/29216.5.2.113 to 216.5.2.118216.5.2.1196
80216.5.2.120/29216.5.2.121 to 216.5.2.126216.5.2.1276
81216.5.2.128/29216.5.2.129 to 216.5.2.134216.5.2.1356
82216.5.2.136/29216.5.2.137 to 216.5.2.142216.5.2.1436
83216.5.2.144/29216.5.2.145 to 216.5.2.150216.5.2.1516
84216.5.2.152/29216.5.2.153 to 216.5.2.158216.5.2.1596
85216.5.2.160/29216.5.2.161 to 216.5.2.166216.5.2.1676
86216.5.2.168/29216.5.2.169 to 216.5.2.174216.5.2.1756
87216.5.2.176/29216.5.2.177 to 216.5.2.182216.5.2.1836
88216.5.2.184/29216.5.2.185 to 216.5.2.190216.5.2.1916
89216.5.2.192/29216.5.2.193 to 216.5.2.198216.5.2.1996
90216.5.2.200/29216.5.2.201 to 216.5.2.206216.5.2.2076
91216.5.2.208/29216.5.2.209 to 216.5.2.214216.5.2.2156
92216.5.2.216/29216.5.2.217 to 216.5.2.222216.5.2.2236
93216.5.2.224/29216.5.2.225 to 216.5.2.230216.5.2.2316
94216.5.2.232/29216.5.2.233 to 216.5.2.238216.5.2.2396
95216.5.2.240/29216.5.2.241 to 216.5.2.246216.5.2.2476
96216.5.2.248/29216.5.2.249 to 216.5.2.254216.5.2.2556
97216.5.3.0/29216.5.3.1 to 216.5.3.6216.5.3.76
98216.5.3.8/29216.5.3.9 to 216.5.3.14216.5.3.156
99216.5.3.16/29216.5.3.17 to 216.5.3.22216.5.3.236
100216.5.3.24/29216.5.3.25 to 216.5.3.30216.5.3.316
101216.5.3.32/29216.5.3.33 to 216.5.3.38216.5.3.396
102216.5.3.40/29216.5.3.41 to 216.5.3.46216.5.3.476
103216.5.3.48/29216.5.3.49 to 216.5.3.54216.5.3.556
104216.5.3.56/29216.5.3.57 to 216.5.3.62216.5.3.636
105216.5.3.64/29216.5.3.65 to 216.5.3.70216.5.3.716
106216.5.3.72/29216.5.3.73 to 216.5.3.78216.5.3.796
107216.5.3.80/29216.5.3.81 to 216.5.3.86216.5.3.876
108216.5.3.88/29216.5.3.89 to 216.5.3.94216.5.3.956
109216.5.3.96/29216.5.3.97 to 216.5.3.102216.5.3.1036
110216.5.3.104/29216.5.3.105 to 216.5.3.110216.5.3.1116
111216.5.3.112/29216.5.3.113 to 216.5.3.118216.5.3.1196
112216.5.3.120/29216.5.3.121 to 216.5.3.126216.5.3.1276
113216.5.3.128/29216.5.3.129 to 216.5.3.134216.5.3.1356
114216.5.3.136/29216.5.3.137 to 216.5.3.142216.5.3.1436
115216.5.3.144/29216.5.3.145 to 216.5.3.150216.5.3.1516
116216.5.3.152/29216.5.3.153 to 216.5.3.158216.5.3.1596
117216.5.3.160/29216.5.3.161 to 216.5.3.166216.5.3.1676
118216.5.3.168/29216.5.3.169 to 216.5.3.174216.5.3.1756
119216.5.3.176/29216.5.3.177 to 216.5.3.182216.5.3.1836
120216.5.3.184/29216.5.3.185 to 216.5.3.190216.5.3.1916
121216.5.3.192/29216.5.3.193 to 216.5.3.198216.5.3.1996
122216.5.3.200/29216.5.3.201 to 216.5.3.206216.5.3.2076
123216.5.3.208/29216.5.3.209 to 216.5.3.214216.5.3.2156
124216.5.3.216/29216.5.3.217 to 216.5.3.222216.5.3.2236
125216.5.3.224/29216.5.3.225 to 216.5.3.230216.5.3.2316
126216.5.3.232/29216.5.3.233 to 216.5.3.238216.5.3.2396
127216.5.3.240/29216.5.3.241 to 216.5.3.246216.5.3.2476
128216.5.3.248/29216.5.3.249 to 216.5.3.254216.5.3.2556
129216.5.4.0/29216.5.4.1 to 216.5.4.6216.5.4.76
130216.5.4.8/29216.5.4.9 to 216.5.4.14216.5.4.156
131216.5.4.16/29216.5.4.17 to 216.5.4.22216.5.4.236
132216.5.4.24/29216.5.4.25 to 216.5.4.30216.5.4.316
133216.5.4.32/29216.5.4.33 to 216.5.4.38216.5.4.396
134216.5.4.40/29216.5.4.41 to 216.5.4.46216.5.4.476
135216.5.4.48/29216.5.4.49 to 216.5.4.54216.5.4.556
136216.5.4.56/29216.5.4.57 to 216.5.4.62216.5.4.636
137216.5.4.64/29216.5.4.65 to 216.5.4.70216.5.4.716
138216.5.4.72/29216.5.4.73 to 216.5.4.78216.5.4.796
139216.5.4.80/29216.5.4.81 to 216.5.4.86216.5.4.876
140216.5.4.88/29216.5.4.89 to 216.5.4.94216.5.4.956
141216.5.4.96/29216.5.4.97 to 216.5.4.102216.5.4.1036
142216.5.4.104/29216.5.4.105 to 216.5.4.110216.5.4.1116
143216.5.4.112/29216.5.4.113 to 216.5.4.118216.5.4.1196
144216.5.4.120/29216.5.4.121 to 216.5.4.126216.5.4.1276
145216.5.4.128/29216.5.4.129 to 216.5.4.134216.5.4.1356
146216.5.4.136/29216.5.4.137 to 216.5.4.142216.5.4.1436
147216.5.4.144/29216.5.4.145 to 216.5.4.150216.5.4.1516
148216.5.4.152/29216.5.4.153 to 216.5.4.158216.5.4.1596
149216.5.4.160/29216.5.4.161 to 216.5.4.166216.5.4.1676
150216.5.4.168/29216.5.4.169 to 216.5.4.174216.5.4.1756
151216.5.4.176/29216.5.4.177 to 216.5.4.182216.5.4.1836
152216.5.4.184/29216.5.4.185 to 216.5.4.190216.5.4.1916
153216.5.4.192/29216.5.4.193 to 216.5.4.198216.5.4.1996
154216.5.4.200/29216.5.4.201 to 216.5.4.206216.5.4.2076
155216.5.4.208/29216.5.4.209 to 216.5.4.214216.5.4.2156
156216.5.4.216/29216.5.4.217 to 216.5.4.222216.5.4.2236
157216.5.4.224/29216.5.4.225 to 216.5.4.230216.5.4.2316
158216.5.4.232/29216.5.4.233 to 216.5.4.238216.5.4.2396
159216.5.4.240/29216.5.4.241 to 216.5.4.246216.5.4.2476
160216.5.4.248/29216.5.4.249 to 216.5.4.254216.5.4.2556
161216.5.5.0/29216.5.5.1 to 216.5.5.6216.5.5.76
162216.5.5.8/29216.5.5.9 to 216.5.5.14216.5.5.156
163216.5.5.16/29216.5.5.17 to 216.5.5.22216.5.5.236
164216.5.5.24/29216.5.5.25 to 216.5.5.30216.5.5.316
165216.5.5.32/29216.5.5.33 to 216.5.5.38216.5.5.396
166216.5.5.40/29216.5.5.41 to 216.5.5.46216.5.5.476
167216.5.5.48/29216.5.5.49 to 216.5.5.54216.5.5.556
168216.5.5.56/29216.5.5.57 to 216.5.5.62216.5.5.636
169216.5.5.64/29216.5.5.65 to 216.5.5.70216.5.5.716
170216.5.5.72/29216.5.5.73 to 216.5.5.78216.5.5.796
171216.5.5.80/29216.5.5.81 to 216.5.5.86216.5.5.876
172216.5.5.88/29216.5.5.89 to 216.5.5.94216.5.5.956
173216.5.5.96/29216.5.5.97 to 216.5.5.102216.5.5.1036
174216.5.5.104/29216.5.5.105 to 216.5.5.110216.5.5.1116
175216.5.5.112/29216.5.5.113 to 216.5.5.118216.5.5.1196
176216.5.5.120/29216.5.5.121 to 216.5.5.126216.5.5.1276
177216.5.5.128/29216.5.5.129 to 216.5.5.134216.5.5.1356
178216.5.5.136/29216.5.5.137 to 216.5.5.142216.5.5.1436
179216.5.5.144/29216.5.5.145 to 216.5.5.150216.5.5.1516
180216.5.5.152/29216.5.5.153 to 216.5.5.158216.5.5.1596
181216.5.5.160/29216.5.5.161 to 216.5.5.166216.5.5.1676
182216.5.5.168/29216.5.5.169 to 216.5.5.174216.5.5.1756
183216.5.5.176/29216.5.5.177 to 216.5.5.182216.5.5.1836
184216.5.5.184/29216.5.5.185 to 216.5.5.190216.5.5.1916
185216.5.5.192/29216.5.5.193 to 216.5.5.198216.5.5.1996
186216.5.5.200/29216.5.5.201 to 216.5.5.206216.5.5.2076
187216.5.5.208/29216.5.5.209 to 216.5.5.214216.5.5.2156
188216.5.5.216/29216.5.5.217 to 216.5.5.222216.5.5.2236
189216.5.5.224/29216.5.5.225 to 216.5.5.230216.5.5.2316
190216.5.5.232/29216.5.5.233 to 216.5.5.238216.5.5.2396
191216.5.5.240/29216.5.5.241 to 216.5.5.246216.5.5.2476
192216.5.5.248/29216.5.5.249 to 216.5.5.254216.5.5.2556
193216.5.6.0/29216.5.6.1 to 216.5.6.6216.5.6.76
194216.5.6.8/29216.5.6.9 to 216.5.6.14216.5.6.156
195216.5.6.16/29216.5.6.17 to 216.5.6.22216.5.6.236
196216.5.6.24/29216.5.6.25 to 216.5.6.30216.5.6.316
197216.5.6.32/29216.5.6.33 to 216.5.6.38216.5.6.396
198216.5.6.40/29216.5.6.41 to 216.5.6.46216.5.6.476
199216.5.6.48/29216.5.6.49 to 216.5.6.54216.5.6.556
200216.5.6.56/29216.5.6.57 to 216.5.6.62216.5.6.636
201216.5.6.64/29216.5.6.65 to 216.5.6.70216.5.6.716
202216.5.6.72/29216.5.6.73 to 216.5.6.78216.5.6.796
203216.5.6.80/29216.5.6.81 to 216.5.6.86216.5.6.876
204216.5.6.88/29216.5.6.89 to 216.5.6.94216.5.6.956
205216.5.6.96/29216.5.6.97 to 216.5.6.102216.5.6.1036
206216.5.6.104/29216.5.6.105 to 216.5.6.110216.5.6.1116
207216.5.6.112/29216.5.6.113 to 216.5.6.118216.5.6.1196
208216.5.6.120/29216.5.6.121 to 216.5.6.126216.5.6.1276
209216.5.6.128/29216.5.6.129 to 216.5.6.134216.5.6.1356
210216.5.6.136/29216.5.6.137 to 216.5.6.142216.5.6.1436
211216.5.6.144/29216.5.6.145 to 216.5.6.150216.5.6.1516
212216.5.6.152/29216.5.6.153 to 216.5.6.158216.5.6.1596
213216.5.6.160/29216.5.6.161 to 216.5.6.166216.5.6.1676
214216.5.6.168/29216.5.6.169 to 216.5.6.174216.5.6.1756
215216.5.6.176/29216.5.6.177 to 216.5.6.182216.5.6.1836
216216.5.6.184/29216.5.6.185 to 216.5.6.190216.5.6.1916
217216.5.6.192/29216.5.6.193 to 216.5.6.198216.5.6.1996
218216.5.6.200/29216.5.6.201 to 216.5.6.206216.5.6.2076
219216.5.6.208/29216.5.6.209 to 216.5.6.214216.5.6.2156
220216.5.6.216/29216.5.6.217 to 216.5.6.222216.5.6.2236
221216.5.6.224/29216.5.6.225 to 216.5.6.230216.5.6.2316
222216.5.6.232/29216.5.6.233 to 216.5.6.238216.5.6.2396
223216.5.6.240/29216.5.6.241 to 216.5.6.246216.5.6.2476
224216.5.6.248/29216.5.6.249 to 216.5.6.254216.5.6.2556
225216.5.7.0/29216.5.7.1 to 216.5.7.6216.5.7.76
226216.5.7.8/29216.5.7.9 to 216.5.7.14216.5.7.156
227216.5.7.16/29216.5.7.17 to 216.5.7.22216.5.7.236
228216.5.7.24/29216.5.7.25 to 216.5.7.30216.5.7.316
229216.5.7.32/29216.5.7.33 to 216.5.7.38216.5.7.396
230216.5.7.40/29216.5.7.41 to 216.5.7.46216.5.7.476
231216.5.7.48/29216.5.7.49 to 216.5.7.54216.5.7.556
232216.5.7.56/29216.5.7.57 to 216.5.7.62216.5.7.636
233216.5.7.64/29216.5.7.65 to 216.5.7.70216.5.7.716
234216.5.7.72/29216.5.7.73 to 216.5.7.78216.5.7.796
235216.5.7.80/29216.5.7.81 to 216.5.7.86216.5.7.876
236216.5.7.88/29216.5.7.89 to 216.5.7.94216.5.7.956
237216.5.7.96/29216.5.7.97 to 216.5.7.102216.5.7.1036
238216.5.7.104/29216.5.7.105 to 216.5.7.110216.5.7.1116
239216.5.7.112/29216.5.7.113 to 216.5.7.118216.5.7.1196
240216.5.7.120/29216.5.7.121 to 216.5.7.126216.5.7.1276
241216.5.7.128/29216.5.7.129 to 216.5.7.134216.5.7.1356
242216.5.7.136/29216.5.7.137 to 216.5.7.142216.5.7.1436
243216.5.7.144/29216.5.7.145 to 216.5.7.150216.5.7.1516
244216.5.7.152/29216.5.7.153 to 216.5.7.158216.5.7.1596
245216.5.7.160/29216.5.7.161 to 216.5.7.166216.5.7.1676
246216.5.7.168/29216.5.7.169 to 216.5.7.174216.5.7.1756
247216.5.7.176/29216.5.7.177 to 216.5.7.182216.5.7.1836
248216.5.7.184/29216.5.7.185 to 216.5.7.190216.5.7.1916
249216.5.7.192/29216.5.7.193 to 216.5.7.198216.5.7.1996
250216.5.7.200/29216.5.7.201 to 216.5.7.206216.5.7.2076
251216.5.7.208/29216.5.7.209 to 216.5.7.214216.5.7.2156
252216.5.7.216/29216.5.7.217 to 216.5.7.222216.5.7.2236
253216.5.7.224/29216.5.7.225 to 216.5.7.230216.5.7.2316
254216.5.7.232/29216.5.7.233 to 216.5.7.238216.5.7.2396
255216.5.7.240/29216.5.7.241 to 216.5.7.246216.5.7.2476
256216.5.7.248/29216.5.7.249 to 216.5.7.254216.5.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses